Bug 471752 - freerunner usb device unable to be enumerated/connected
freerunner usb device unable to be enumerated/connected
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 12:56 EST by Zing
Modified: 2008-11-21 21:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-21 21:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg of kernel-2.6.27.5-37.fc9.x86_64 (121.14 KB, text/plain)
2008-11-15 12:58 EST, Zing
no flags Details
dmesg of kernel-2.6.26.6-79.fc9.x86_64 (52.54 KB, text/plain)
2008-11-15 12:58 EST, Zing
no flags Details
lspci -vvnn (30.15 KB, text/plain)
2008-11-15 12:59 EST, Zing
no flags Details
lsusb -v (12.46 KB, text/plain)
2008-11-15 13:00 EST, Zing
no flags Details

  None (edit)
Description Zing 2008-11-15 12:56:32 EST
Description of problem:

Just updated to 2.6.27.5-37.fc9.x86_64 and when I plug in my freerunner usb phone, i can't ssh into it or ping it like I could in 2.6.26 and I get a lot of the following dmesg:

hub 2-0:1.0: unable to enumerate USB device on port 1

I will attach as much info as I can.  If I'm missing anything let me know, I can get it.

Version-Release number of selected component (if applicable):
kernel-2.6.27.5-37.fc9.x86_64

How reproducible:
always.

Steps to Reproduce:
1. plug in a freerunner into usb port
2. kernel "unable to enumerate USB device on port 1"

Actual results:
phone isn't contactable with ssh or ping.

Expected results:
phone is contactable with ssh or ping.

Additional info:
In the 2.6.26 dmesg log I'll attach, you can see a Call Trace Warning.  That seems to have been fixed in 2.6.27, but it usually didn't keep the phone from being contactable.  If it did, I usually just replugged the phone in again and it would come up.
Comment 1 Zing 2008-11-15 12:58:16 EST
Created attachment 323696 [details]
dmesg of kernel-2.6.27.5-37.fc9.x86_64
Comment 2 Zing 2008-11-15 12:58:50 EST
Created attachment 323697 [details]
dmesg of kernel-2.6.26.6-79.fc9.x86_64
Comment 3 Zing 2008-11-15 12:59:39 EST
Created attachment 323698 [details]
lspci -vvnn
Comment 4 Zing 2008-11-15 13:00:15 EST
Created attachment 323699 [details]
lsusb -v
Comment 5 Pete Zaitcev 2008-11-20 22:06:46 EST
This is strange. The "unable to enumerate" state should not be reoccuring.
Would you capture the usbmon trace for this? There's a sort of a howto in
 /usr/share/doc/kernel-doc-2.6.27.5/Documentation/usb/usbmon.txt
Comment 6 Zing 2008-11-21 20:59:47 EST
You're not gonna believe this, but I can't make it happen now no matter what I try. :/

I think there is still something funky here, but feel free to close this bug... I can reopen with a usbmon trace, now that I know how to do that.  thanks!
Comment 7 Pete Zaitcev 2008-11-21 21:29:32 EST
The poor signal integrity could do that, actually. I saw things as weird
as this. It may come and go with the level of battery charge in the Neo,
for instance.

I'll close for now.

BTW, if you have any pull with Open Moko, it would be awesome to rework
the gadget side so it provides both ACM and ETH descriptors at the start
and so does not need the reconnect. Too many things can go wrong if the
gadget does such tricks.

Note You need to log in before you can comment on or make changes to this bug.